%global date 20080501
%global momorel 1

Name:           libewf
Version:        0
Release:        0.%{date}.%{momorel}m%{?dist}
Summary:        Library for the Expert Witness Compression Format (EWF)

Group:          System Environment/Libraries
License:        "BSD with advertising"
URL:            https://www.uitwisselplatform.nl/projects/libewf/
Source0:	http://www.uitwisselplatform.nl/frs/download.php/529/%{name}-%{date}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Need to be compatible with "BSD with advertising"
BuildRequires:  e2fsprogs-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel


%description
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01). 
Libewf allows you to read and write media information within the EWF files.

%package -n     ewftools
Summary:        Utilities for %{name}
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}

%description -n ewftools
The %{name}-utils package contains utilities for using %{name}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{date}


%build
%configure --enable-static --enable-wide-character-type
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README doc/
%{_libdir}/*.so.*

%files -n ewftools
%defattr(-,root,root,-)
%{_bindir}/ewf*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libewf.h
%{_includedir}/libewf/
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/libewf.pc
%{_mandir}/man3/*

%changelog
* Thu Jun 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0-0.20080501.1m)
- update to 20080501

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0-0.20070512.3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0-0.20070512.2m)
- rebuild against gcc43

* Thu Feb 28 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0-0.20070512.1m)
- import to Momonga from Fedora

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 0.4.20070512
- Rebuild for gcc43

* Wed Dec  5 2007 kwizart < kwizart at gmail.com > - 0-3.20070512
- Rebuild against new openssl

* Mon Nov  5 2007 kwizart < kwizart at gmail.com > - 0-2.20070512
- Update License to BSD with advertising

* Fri Nov  2 2007 kwizart < kwizart at gmail.com > - 0-1.20070512
- Initial package for Fedora

